Class PartialExportRequestBuilder
- Namespace
- Keycloak.AuthServices.Sdk.Kiota.Admin.Admin.Realms.Item.PartialExport
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\partial-export
public class PartialExportRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderPartialExportRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
PartialExportRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new PartialExportRequestBuilder and sets the default values.
public PartialExportRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
PartialExportRequestBuilder(string, IRequestAdapter)
Instantiates a new PartialExportRequestBuilder and sets the default values.
public PartialExportRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Methods
PostAsync(Action<RequestConfiguration<PartialExportRequestBuilderPostQueryParameters>>?, CancellationToken)
Partial export of existing realm into a JSON file.
public Task<RealmRepresentation?> PostAsync(Action<RequestConfiguration<PartialExportRequestBuilder.PartialExportRequestBuilderPostQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
requestConfigurationAction<RequestConfiguration<PartialExportRequestBuilder.PartialExportRequestBuilderPostQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
ToPostRequestInformation(Action<RequestConfiguration<PartialExportRequestBuilderPostQueryParameters>>?)
Partial export of existing realm into a JSON file.
public RequestInformation ToPostRequestInformation(Action<RequestConfiguration<PartialExportRequestBuilder.PartialExportRequestBuilderPostQueryParameters>>? requestConfiguration = null)
Parameters
requestConfigurationAction<RequestConfiguration<PartialExportRequestBuilder.PartialExportRequestBuilderPostQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
WithUrl(string)
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
public PartialExportRequestBuilder WithUrl(string rawUrl)
Parameters
rawUrlstringThe raw URL to use for the request builder.